Subject: Re: [PWE3] FW: New Version Notification for draft-mirsky-mpls-tp-cv-adv-01.txt

From: Gregory Mirsky <[email-masked]>
Date: Mon, 20 Aug 2012 14:32:16 -0400

Dear Fei,
sincere apologies for terribly belated response. Please find my notes in-lined tagged by GIM>>

    Regards,
        Greg

________________________________
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, July 30, 2012 7:56 PM
To: Gregory Mirsky
Cc: pwe3 ([email-masked]); [email-masked]
Subject: Re: [PWE3] FW: New Version Notification for draft-mirsky-mpls-tp-cv-adv-01.txt

Hi Greg

Hi Greg

Hope you well

I have taken a close look at the draft-mirsky-mpls-tp-cv-adv-01, be glad to see that the length of the defined VCCV Extended CV Advertiseemnt sub-TLV is variable now, which is more extensible.
GIM>> Thank you

Below are some minor comments on this draft that I like to share with you, both of them have been discussed with you offline (Please check the email sent out at 2012-02-29 11:19 with the title RE: comments on the draft draft-mirsky-mpls-tp-cv-adv)

1. I am afraid that IP/UDP encapsulation of BFD packets are not excluded by the MPLS-TP mechanism
 GIM>> I agree, that use of IP/UDP encapsulation, in particular of BFD control packets, is not excluded from MPLS-TP. But I'll note that operation of Connectivity Verification currently is not defined for  IP/UDP encapsulation as noted in RFC 6428. Continuity Check on PW can be performed for both IP/UDP and ACH encapsulation and negotiated as described in RFC 5885.

2. Since the PW needs to support the other defined MPLS-TP OAM, such PM and FMS, maybe the name of this sub-TLV can be more MPLS-TP orientied
 GIM>> If the WG agrees that modes of operation, encapsulation used of FM and PM need to be negotiated in-line to signaling the PW, then I'll be open to changing name of the new sub-TLV. Personally, I think that there's not enough benefit to make determination of OAM mode through negotiation rather than explicit configuration, e.g. using LSP Ping for PW. IMO, proposed extension is for consistency of historical method.

Another question that want to check with you is about the relationship between your draft and another draft http://tools.ietf.org/html/draft-ietf-pwe3-mpls-tp-oam-config-00. Although we also addressed the MPLS-TP OAM negotiation in the Initialization message in the draft draft-ietf-pwe3-mpls-tp-oam-config-00, as you pointed out in IETF83 meeting that the Capability negotiations in the Initiation message are related to the LDP message procedures themself. I tend to agree with you on this point after checking RFC5561 and related extensions, and would like to hear more opinions from WG.

Best regards

Fei

Gregory Mirsky <[email-masked]>
发件人:  [email-masked]

2012-07-24 01:00

收件人
"pwe3        ([email-masked])" <[email-masked]>
抄送
主题
[PWE3] FW: New Version Notification for        draft-mirsky-mpls-tp-cv-adv-01.txt

Dear All,
The new version was recently publish to address discussion at IETF-83 meeting in Paris.
I welcome your comments and will greatly appreciate consideration to adopt the draft as PWE3 WG document.

                Regards,
                                 Greg

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, July 13, 2012 2:15 PM
To: Gregory Mirsky
Subject: New Version Notification for draft-mirsky-mpls-tp-cv-adv-01.txt

A new version of I-D, draft-mirsky-mpls-tp-cv-adv-01.txt
has been successfully submitted by Greg Mirsky and posted to the IETF repository.

Filename:                  draft-mirsky-mpls-tp-cv-adv
Revision:                  01
Title:                                   VCCV MPLS-TP Connectivity Verification (CV) Capability Advertisement
Creation date:                  2012-07-13
WG ID:                                   Individual Submission
Number of pages: 8
URL:             http://www.ietf.org/internet-drafts/draft-mirsky-mpls-tp-cv-adv-01.txt
Status:          http://datatracker.ietf.org/doc/draft-mirsky-mpls-tp-cv-adv
Htmlized:        http://tools.ietf.org/html/draft-mirsky-mpls-tp-cv-adv-01
Diff:            http://tools.ietf.org/rfcdiff?url2=draft-mirsky-mpls-tp-cv-adv-01

Abstract:
  This document specifies how use of proactive Connectivity
  Verification, Continuity Check, and Remote Defect Indication for the
  MPLS Transport Profile [RFC6428] affects operation and management
  function election for PW VCCV [RFC5085], [RFC5885].

The IETF Secretariat
_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3